# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

# Features must be added here to be accessible through the NimbusFeature API.

"no-feature-firefox-desktop":
  description: A dummy feature for experiments that target no feature.
  owner: barret@mozilla.com
  applications:
    - firefox-desktop
    - firefox-desktop-background-task
  hasExposure: false
  variables: {}
testFeature:
  description: Test only feature
  owner: barret@mozilla.com
  applications:
    - firefox-desktop
    - firefox-desktop-background-task
  hasExposure: false
  isEarlyStartup: true
  variables:
    enabled:
      type: boolean
      description: Whether or not this feature is enabled
    testInt:
      type: int
      fallbackPref: nimbus.testing.testInt
      description: Int pref used by platform API tests
    testSetString:
      type: string
      setPref: nimbus.testing.testSetString
      description: A string pref set by Nimbus tests
search:
  description: The Search Services
  owner: search-and-suggest-program@mozilla.com
  hasExposure: false
  variables:
    experiment:
      type: string
      fallbackPref: browser.search.experiment
      description: >-
        Used to activate only matching configurations that contain the value in
        `experiment`
    extraParams:
      type: json
      description: Query parameters values for search engine configurations.
    seperatePrivateDefaultUIEnabled:
      type: boolean
      description: Whether the UI for the separate private default feature is enabled.
    seperatePrivateDefaultUrlbarResultEnabled:
      type: boolean
      description: Whether the urlbar result for the separate private default is shown.
urlbar:
  description: The Address Bar
  owner: search-and-suggest-program@mozilla.com
  hasExposure: true
  exposureDescription: >-
    The timing of the exposure event depends on the experiment, but generally
    the event is recorded once per app session when the user first encounters
    the UI of the experiment in which they're enrolled.
  variables:
    autoFillAdaptiveHistoryEnabled:
      type: boolean
      fallbackPref: browser.urlbar.autoFill.adaptiveHistory.enabled
      description: Whether enabling adaptive history autofill.
    autoFillAdaptiveHistoryMinCharsThreshold:
      type: int
      fallbackPref: browser.urlbar.autoFill.adaptiveHistory.minCharsThreshold
      description: Minimum char length of the user's search string to trigger adaptive history autofill.
    autoFillAdaptiveHistoryUseCountThreshold:
      type: string
      description: This value assumes float expression like "0.47". Threshold for use count of input history that we handle as adaptive history autofill. If the use count is this value or more, it will be a candidate.
    bestMatchBlockingEnabled:
      type: boolean
      fallbackPref: browser.urlbar.bestMatch.blockingEnabled
      description: Whether best match Suggest suggestions can be blocked.
    bestMatchEnabled:
      type: boolean
      fallbackPref: browser.urlbar.bestMatch.enabled
      description: Gate for the best match feature. If false, the best match preferences UI and best match suggestions will not be shown. If true, the preferences UI will be shown, and the user can turn best match suggestions on or off.
    experimentType:
      type: string
      description: The type of the experiment (or rollout). If "best-match", then the Nimbus exposure event will be recorded when the user first triggers a best match (or would have triggered a best match, for users in the control group). If "modal", the event will be recorded when the user first triggers to show the onbording dialog. If empty, the event will be recorded when the user first triggers any type of Suggest suggestion.
      enum:
        - best-match
        - modal
        - ""
    isBestMatchExperiment:
      type: boolean
      description: >-
        Whether the experiment (or rollout) is related to best match. If true, then the Nimbus exposure event will be recorded when the user first triggers a best match (or would have triggered a best match, for users in the control group). Deprecated, please use `experimentType: "best-match"` instead.
    merinoClientVariants:
      type: string
      fallbackPref: browser.urlbar.merino.clientVariants
      description: >-
        Comma separated list of client variants to report to the Merino server.
        May impact server behavior.
    merinoEnabled:
      type: boolean
      fallbackPref: browser.urlbar.merino.enabled
      description: Whether Merino is enabled as a quick suggest source
    merinoEndpointURL:
      type: string
      fallbackPref: browser.urlbar.merino.endpointURL
      description: The Merino endpoint URL, not including parameters.
    merinoTimeoutMs:
      type: int
      fallbackPref: browser.urlbar.merino.timeoutMs
      description: Timeout for Merino fetches (ms)
    quickSuggestAllowPositionInSuggestions:
      type: boolean
      fallbackPref: browser.urlbar.quicksuggest.allowPositionInSuggestions
      description: Whether quick suggest results can be shown in position specified in the suggestions.
    quickSuggestBlockingEnabled:
      type: boolean
      fallbackPref: browser.urlbar.quicksuggest.blockingEnabled
      description: Whether the usual non-best-match Suggest suggestions can be blocked.
    quickSuggestDataCollectionEnabled:
      type: boolean
      description: Whether data collection should be enabled by default. If this variable is specified, it will override the value implied by the scenario. It will never override the user's local preference to disable (or enable) data collection, if the user has already toggled that preference.
    quickSuggestEnabled:
      type: boolean
      fallbackPref: browser.urlbar.quicksuggest.enabled
      description: Gate for the Firefox Suggest feature as a whole. If false, the Firefox Suggest preferences UI and Suggest suggestions will not be shown. If true, the preferences UI will be shown, and the user can turn suggestions on or off.
    quickSuggestImpressionCapsSponsoredEnabled:
      type: boolean
      fallbackPref: browser.urlbar.quicksuggest.impressionCaps.sponsoredEnabled
      description: Whether sponsored suggestions are subject to impression frequency caps. If false, sponsored suggestions can be shown an unlimited number of times over any given period. If true, sponsored suggestion impressions will be subject to the caps in the remote settings configuration.
    quickSuggestImpressionCapsNonSponsoredEnabled:
      type: boolean
      fallbackPref: browser.urlbar.quicksuggest.impressionCaps.nonSponsoredEnabled
      description: Whether non-sponsored suggestions are subject to impression frequency caps. If false, non-sponsored suggestions can be shown an unlimited number of times over any given period. If true, non-sponsored suggestion impressions will be subject to the caps in the remote settings configuration.
    quickSuggestNonSponsoredEnabled:
      type: boolean
      description: Whether non-sponsored suggestions should be enabled by default. If this variable is specified, it will override the value implied by the scenario. It will never override the user's local preference to disable (or enable) non-sponsored suggestions, if the user has already toggled that preference.
    quickSuggestNonSponsoredIndex:
      type: int
      fallbackPref: browser.urlbar.quicksuggest.nonSponsoredIndex
      description: >-
        The index of non-sponsored QuickSuggest results within the general
        group. A negative index is relative to the end of the group
    quickSuggestOnboardingDialogVariation:
      type: string
      description: >-
        Specify the messages/UI variation for QuickSuggest onboarding dialog. This value is case insensitive.
    quickSuggestRemoteSettingsDataType:
      type: string
      description: The `type` of the suggestions data in remote settings. If not specified, "data" is used.
    quickSuggestRemoteSettingsEnabled:
      type: boolean
      fallbackPref: browser.urlbar.quicksuggest.remoteSettings.enabled
      description: Whether Remote Settings is enabled as a quick suggest source
    quickSuggestScenario:
      # IMPORTANT: This should not have a fallbackPref. See UrlbarPrefs.jsm.
      type: string
      description: The Firefox Suggest scenario in which the user is enrolled
      enum:
        - history
        - offline
        - online
    quickSuggestShouldShowOnboardingDialog:
      type: boolean
      fallbackPref: browser.urlbar.quicksuggest.shouldShowOnboardingDialog
      description: Whether or not to show the QuickSuggest onboarding dialog
    quickSuggestShowOnboardingDialogAfterNRestarts:
      type: int
      fallbackPref: browser.urlbar.quicksuggest.showOnboardingDialogAfterNRestarts
      description: Show QuickSuggest onboarding dialog after N browser restarts
    quickSuggestSponsoredEnabled:
      type: boolean
      description: Whether sponsored suggestions should be enabled by default. If this variable is specified, it will override the value implied by the scenario. It will never override the user's local preference to disable (or enable) sponsored suggestions, if the user has already toggled that preference.
    quickSuggestSponsoredIndex:
      type: int
      fallbackPref: browser.urlbar.quicksuggest.sponsoredIndex
      description: >-
        The index of sponsored QuickSuggest results within the general group. A
        negative index is relative to the end of the group
aboutwelcome:
  description: "The about:welcome page"
  owner: omc@mozilla.com
  hasExposure: true
  exposureDescription: >-
    Exposure is sent once per browsing session when the about:welcome URL is
    first accessed.
  isEarlyStartup: true
  variables:
    enabled:
      type: boolean
      fallbackPref: browser.aboutwelcome.enabled
      description: >-
        Should users see about:welcome? If this is false, users will see a
        regular new tab instead.
    id:
      type: string
      description: >-
        Descriptive ID for the about:welcome content
    screens:
      type: json
      fallbackPref: browser.aboutwelcome.screens
      description: Content to show in the onboarding flow
    skipFocus:
      type: boolean
      fallbackPref: browser.aboutwelcome.skipFocus
      description: >-
        Should the urlbar should be focused when users first land on
        about:welcome?
    languageMismatchEnabled:
      type: boolean
      fallbackPref: intl.multilingual.aboutWelcome.languageMismatchEnabled
      description: >-
        Suggest to change the language on about:welcome when there is a mismatch with
        the OS.
    transitions:
      type: boolean
      description: Enable transition effect between screens
    templateMR:
      type: boolean
      fallbackPref: browser.aboutwelcome.templateMR
      description: >-
        Should users see the MR 50-50 split template?
moreFromMozilla:
  description: "New page on about:preferences to suggest more Mozilla products"
  owner: omc@mozilla.com
  hasExposure: true
  exposureDescription: >-
    Exposure is sent once per browsing session when the about:preferences URL is
    first accessed.
  variables:
    enabled:
      type: boolean
      fallbackPref: browser.preferences.moreFromMozilla
      description: Should users see the new more from Mozilla section.
    template:
      type: string
      fallbackPref: browser.preferences.moreFromMozilla.template
      description: UI template used to display Mozilla products. Possible values simple, advanced. Default is simple.
abouthomecache:
  description: "The startup about:home cache."
  owner: omc@mozilla.com
  hasExposure: false
  isEarlyStartup: true
  variables:
    enabled:
      type: boolean
      fallbackPref: browser.startup.homepage.abouthome_cache.enabled
      description: Is the feature enabled?
newtab:
  description: "The about:newtab page"
  owner: omc@mozilla.com
  hasExposure: true
  exposureDescription: >-
    Exposure is sent once per browsing session when the first newtab page loads
    (either about:newtab or about:home).
  isEarlyStartup: true
  variables:
    newTheme:
      type: boolean
      description: Enable the new theme
    customizationMenuEnabled:
      type: boolean
      fallbackPref: browser.newtabpage.activity-stream.customizationMenu.enabled
      description: Enable the customization panel inside of the newtab
    prefsButtonIcon:
      type: string
      description: Icon url to use for the preferences button
    topSitesContileEnabled:
      type: boolean
      fallbackPref: browser.topsites.contile.enabled
      description: Enable the Contile integration for Sponsored Top Sites
pocketNewtab:
  description: The Pocket section in newtab
  owner: sdowne@getpocket.com
  hasExposure: false
  isEarlyStartup: true
  variables:
    spocPositions:
      type: string
      fallbackPref: browser.newtabpage.activity-stream.discoverystream.spoc-positions
      description: CSV string of spoc position indexes on newtab grid
    widgetPositions:
      type: string
      fallbackPref: browser.newtabpage.activity-stream.discoverystream.widget-positions
      description: CSV string of widget position indexes on newtab grid
    hybridLayout:
      type: boolean
      fallbackPref: browser.newtabpage.activity-stream.discoverystream.hybridLayout.enabled
      description: Enable compact cards on newtab grid only for specific breakpoints
    hideCardBackground:
      type: boolean
      fallbackPref: browser.newtabpage.activity-stream.discoverystream.hideCardBackground.enabled
      description: Removes Pocket card background and borders.
    fourCardLayout:
      type: boolean
      fallbackPref: browser.newtabpage.activity-stream.discoverystream.fourCardLayout.enabled
      description: Enable four Pocket cards per row.
    newFooterSection:
      type: boolean
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.newFooterSection.enabled
      description: Enable an updated Pocket section topics footer
    saveToPocketCard:
      type: boolean
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.saveToPocketCard.enabled
      description: >-
        A save to Pocket button inside the card, shown on the card thumbnail, on
        hover.
    saveToPocketCardRegions:
      type: string
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.saveToPocketCardRegions
      description: >-
        CSV string of regions that support the save to Pocket button inside the card.
    hideDescriptions:
      type: boolean
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.hideDescriptions.enabled
      description: >-
        Hide or display descriptions for Pocket stories on newtab.
    hideDescriptionsRegions:
      type: string
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.hideDescriptionsRegions
      description: >-
        CSV string of regions that hide descriptions for Pocket stories on newtab.
    compactGrid:
      type: boolean
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.compactGrid.enabled
      description: >-
        Reduce the number of pixels between the Pocket cards on newtab.
    compactImages:
      type: boolean
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.compactImages.enabled
      description: >-
        Reduce the height on Pocket card images on newtab.
    imageGradient:
      type: boolean
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.imageGradient.enabled
      description: >-
        Add a gradient to the bottom of Pocket card images on newtab to blend the
        image in with the card.
    titleLines:
      type: int
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.titleLines
      description: >-
        Changes the maximum number of lines a title can be for Pocket cards on newtab.
    descLines:
      type: int
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.descLines
      description: >-
        Changes the maximum number of lines a description can be for Pocket cards on newtab.
    essentialReadsHeader:
      type: boolean
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.essentialReadsHeader.enabled
      description: >-
        Updates the Pocket section header and title to say "Today’s Essential Reads",
        moves the "Recommended by Pocket" header to the right side.
    editorsPicksHeader:
      type: boolean
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.editorsPicksHeader.enabled
      description: >-
        Updates the Pocket section header and title to say "Editor’s Picks", if used with
        essentialReadsHeader, creates a second section 2 rows down for editorsPicksHeader.
    recentSavesEnabled:
      type: boolean
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.recentSaves.enabled
      description: >-
        Updates the Pocket section with a new header and 1 row of recently saved Pocket stories.
    readTime:
      type: boolean
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.readTime.enabled
      description: >-
        Displays an estimated read time for Pocket cards on newtab.
    newSponsoredLabel:
      type: boolean
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.newSponsoredLabel.enabled
      description: >-
        Updates the sponsored label position to below the image for Pocket cards on newtab.
    sendToPocket:
      type: boolean
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.sendToPocket.enabled
      description: >-
        Decides what to do when a logged out user click "Save to Pocket" from a Pocket card.
    recsPersonalized:
      type: boolean
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.recs.personalized
      description: >-
        Enables Pocket stories personalization.
    spocsPersonalized:
      type: boolean
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.spocs.personalized
      description: >-
        Enables Pocket sponsored content personalization.
    spocsCacheTimeout:
      type: int
      fallbackPref: >-
        browser.newtabpage.activity-stream.discoverystream.spocs.cacheTimeout
      description: >-
        Set sponsored content cache timeout in minutes.
saveToPocket:
  description: The save to Pocket feature
  owner: sdowne@getpocket.com
  hasExposure: false
  isEarlyStartup: true
  variables:
    emailButton:
      type: boolean
      fallbackPref: extensions.pocket.refresh.emailButton.enabled
      description: Just for the new Pocket panels, enables the email signup button.
    hideRecentSaves:
      type: boolean
      fallbackPref: extensions.pocket.refresh.hideRecentSaves.enabled
      description: Hides the recently saved section in the home panel.
password-autocomplete:
  description: A special autocomplete UI for password fields.
  owner: sgalich@mozilla.com
  hasExposure: false
  variables:
    directMigrateSingleProfile:
      type: boolean
      description: Enable direct migration?
shellService:
  description: "Interface with OS, e.g., pinning and set default"
  owner: desktop-integrations@mozilla.com
  hasExposure: false
  isEarlyStartup: true
  variables:
    disablePin:
      type: boolean
      description: Disable pin to taskbar feature
    setDefaultBrowserUserChoice:
      type: boolean
      fallbackPref: browser.shell.setDefaultBrowserUserChoice
      description: Should it set as default browser
    setDefaultPDFHandler:
      type: boolean
      fallbackPref: browser.shell.setDefaultPDFHandler
      description: Should setting it as the default browser set it as the default PDF handler.
    setDefaultPDFHandlerOnlyReplaceBrowsers:
      type: boolean
      fallbackPref: browser.shell.setDefaultPDFHandler.onlyReplaceBrowsers
      description: >-
        Should setting it as the default PDF handler only replace existing PDF
        handlers that are browsers, and not other PDF handlers such as Acrobat
        Reader or Nitro PDF.
upgradeDialog:
  description: The dialog shown for major upgrades
  owner: omc@mozilla.com
  hasExposure: false
  isEarlyStartup: true
  variables:
    enabled:
      type: boolean
      fallbackPref: browser.startup.upgradeDialog.enabled
      description: Is the feature enabled?
readerMode:
  description: Firefox Reader Mode
  owner: sdowne@getpocket.com
  hasExposure: false
  isEarlyStartup: true
  variables:
    pocketCTAVersion:
      type: string
      fallbackPref: reader.pocket.ctaVersion
      description: >-
        What version of Pocket CTA to show in Reader Mode (Empty string is no
        CTA)
tcpPreferences:
  description: "Toggles the Total Cookie Protection section in about:preferences"
  owner: tihuang@mozilla.com
  hasExposure: false
  isEarlyStartup: false
  variables:
    enabled:
      type: boolean
      fallbackPref: "privacy.restrict3rdpartystorage.rollout.preferences.TCPToggleInStandard"
      description: "Turn on the section in about:preferences"
tcpByDefault:
  description: "Enables TCP by default by updating the default pref value of network.cookie.cookieBehavior."
  owner: tihuang@mozilla.com
  hasExposure: false
  isEarlyStartup: true
  variables:
    enabled:
      type: boolean
      description: "Enables TCP by default"
cfr:
  description: "A Firefox Messaging System message for the cfr message channel"
  owner: omc@mozilla.com
  hasExposure: true
  exposureDescription: "Exposure is sent if the message is about to be shown after trigger and targeting conditions on the message matched."
  isEarlyStartup: false
  schema:
    uri: "resource://activity-stream/schemas/MessagingExperiment.schema.json"
    path: "browser/components/newtab/content-src/asrouter/schemas/MessagingExperiment.schema.json"
  variables: {}
"moments-page":
  description: "A Firefox Messaging System message for the moments-page message channel"
  owner: omc@mozilla.com
  hasExposure: true
  exposureDescription: >-
    "Exposure is sent if the message is about to be shown after trigger and targeting conditions on the message matched."
  isEarlyStartup: false
  schema:
    uri: "resource://activity-stream/schemas/MessagingExperiment.schema.json"
    path: "browser/components/newtab/content-src/asrouter/schemas/MessagingExperiment.schema.json"
  variables: {}
infobar:
  description: "A Firefox Messaging system message for the infobar message channel"
  owner: omc@mozilla.com
  hasExposure: true
  exposureDescription: >-
    "Exposure is sent if the message is about to be shown after trigger and targeting conditions on the message matched."
  isEarlyStartup: false
  schema:
    uri: "resource://activity-stream/schemas/MessagingExperiment.schema.json"
    path: "browser/components/newtab/content-src/asrouter/schemas/MessagingExperiment.schema.json"
  variables: {}
spotlight:
  description: "A Firefox Messaging System message for the spotlight message channel"
  owner: omc@mozilla.com
  hasExposure: true
  exposureDescription: >-
    "Exposure is sent if the message is about to be shown after trigger and targeting conditions on the message matched."
  isEarlyStartup: false
  schema:
    uri: "resource://activity-stream/schemas/MessagingExperiment.schema.json"
    path: "browser/components/newtab/content-src/asrouter/schemas/MessagingExperiment.schema.json"
  variables: {}
pbNewtab:
  description: "A Firefox Messaging System message for the pbNewtab message channel"
  owner: omc@mozilla.com
  hasExposure: true
  exposureDescription: >-
    Exposure is sent if the message is about to be shown after trigger and targeting conditions on the message matched.
  isEarlyStartup: false
  schema:
    uri: "resource://activity-stream/schemas/MessagingExperiment.schema.json"
    path: "browser/components/newtab/content-src/asrouter/schemas/MessagingExperiment.schema.json"
  variables: {}
backgroundTaskMessage:
  description: "A Firefox Messaging System message for the background task message channel"
  owner: nalexander@mozilla.com
  applications:
    - firefox-desktop-background-task
  hasExposure: true
  exposureDescription: >-
    Exposure is sent if the message is about to be shown after trigger and targeting conditions on the message matched.
  isEarlyStartup: false
  schema:
    uri: "resource://activity-stream/schemas/BackgroundTaskMessagingExperiment.schema.json"
    path: "browser/components/newtab/content-src/asrouter/schemas/BackgroundTaskMessagingExperiment.schema.json"
  variables: {}
syncAfterTabChange:
  description: "Schedule a sync after any tab change"
  owner: sync-team@mozilla.com
  hasExposure: false
  isEarlyStartup: false
  variables:
    syncDelayAfterTabChange:
      type: int
      fallbackPref: "services.sync.syncedTabs.syncDelayAfterTabChange"
      description: >-
        "How long to wait (in milliseconds) to schedule a sync after tab change"
    syncDelayAfterTabChangeOverride:
      type: boolean
      description: Whether to override the pref in case we need to lengthen or diable the increased sync
pictureinpicture:
  description: Message for first time Picture-in-Picture users
  owner: nbaumgardner@mozilla.com
  hasExposure: true
  exposureDescription: Exposure is sent when a user hovers over a video and Picture-in-Picture has not been used before
  variables:
    title:
      type: string
      description: The title to be used for the PiP toggle
    message:
      type: string
      description: The message to be used in the PiP toggle
    showIconOnly:
      type: boolean
      description: Whether to show the first time PiP toggle or show the PiP icon only
glean:
  description: "The Glean data collection SDK within Firefox Desktop"
  owner: glean-team@mozilla.com
  hasExposure: false
  variables:
    newtabPingEnabled:
      type: "boolean"
      fallbackPref: "browser.newtabpage.ping.enabled"
      description: "Whether to submit the 'newtab' ping"
majorRelease2022:
  description: Major Release 2022
  owner: firefoxview@mozilla.com
  hasExposure: false
  isEarlyStartup: true
  variables:
    feltPrivacyPBMDarkTheme:
      type: boolean
      fallbackPref: "browser.theme.dark-private-windows"
      description: "Use dark theme variant for PBM windows. This is only supported if the theme sets darkTheme data."
    feltPrivacyPBMNewIndicator:
      type: boolean
      fallbackPref: "browser.privatebrowsing.enable-new-indicator"
      description: "Enables the new private browsing indicator."
    feltPrivacyPBMNewLogo:
      type: boolean
      fallbackPref: "browser.privatebrowsing.enable-new-logo"
      description: "Enables the new about:privatebrowsing logo."
    feltPrivacyShowPreferencesSection:
      type: boolean
      fallbackPref: "browser.privacySegmentation.preferences.show"
      description: "Controls visibility of the privacy segmentation preferences section."
    feltPrivacyWindowSeparation:
      type: boolean
      fallbackPref: "browser.privateWindowSeparation.enabled"
      description: "Whether or not private browsing windows use a separate icon in the Windows taskbar"
    colorwayCloset:
      type: boolean
      fallbackPref: "browser.theme.colorway-closet"
      description: "Whether or not to show the colorway closet modal"
    firefoxView:
      type: boolean
      fallbackPref: "browser.tabs.firefox-view"
      description: "Whether or not to show the firefox view tab"
    onboarding:
      type: boolean
      fallbackPref: "browser.majorrelease.onboarding"
      description: "Whether or not to use the MR2022 onboarding settings."
